Subject: Re: bug#59793: 29.0.60; subr.elc is not compiled correctly

From: [email-masked]
Date: Sun, 04 Dec 2022 18:27:07 +0100

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> Both source and compiled Emacs Lisp code should show the same behavior,
> except performance.  But 'subr.el' and 'subr.elc' show different
> behaviors.  Isn't this a byte-compiler bug?

In Emacs 29.0.50, I checked M-x disassemble RET insert-for-yank-1 RET
and it looks like it uses an 'insert' bytcode operation instead of
funcalling the 'insert' function. I think this is what prevents
overriding of 'insert' from working on byte-compiled code, as explained
in '(elisp) Advice and Byte Code'.

> -- 
> Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
> Fediverse: [email-masked]
> Codeberg: akib
> emailselfdefense.fsf.org | "Nothing can be secure without encryption."

Best regards.